export class QuienesSomos {
  id: string | undefined;
  foto?: string | undefined;
  nombre: string | undefined;
  descripcion?: string | undefined;
  imagen?: string | undefined;
  fecha?: string | undefined;

  constructor(json?: Partial<QuienesSomos>) {
      Object.assign(this, json);
  }

  static fromJson(json: Partial<QuienesSomos>) {
    return new QuienesSomos(json);
  }

  static fromJsonList(data: Partial<QuienesSomos>[]) {
    return data.map((_data) => new QuienesSomos(_data));
  }
}
